package italo.pacman.adapter.figure;


import java.util.LinkedList;
import java.util.List;

public abstract class AbstractContainerFigure extends AbstractComponentFigure implements ContainerFigure {

	protected AbstractContainerFigure(ContainerFigure container, int x, int y, int width, int height) {
		super(container, x, y, width, height);
	}

	private List<ComponentFigure> components = new LinkedList<ComponentFigure>();
		
	public boolean add(ComponentFigure component) {
		return components.add(component);
	}
	
	public boolean remove(ComponentFigure component) {
		return components.remove(component);
	}
	
	public List<ComponentFigure> getComponents() {		
		return components;
	}


}
