package italo.pacman.algorithm;

public interface Algorithm {

	public void execute();
		
	public void begined();
	
	public void ended();
	
	public boolean pausable();
	
	public boolean pauseCondition();
	
	public boolean executionCondition();
	
	public void run();
	
	public void start();
	
	public void join();
		
	public void wait2();
	
	public void notify2();	
	
}
