package italo.pacman.constants;

import java.awt.Color;

public interface GUIConstants {

	public final static Color COR_FUNDO_PAINEL_PERSONALIZADO = Color.BLACK;
	
	public final static int FRAME_WIDTH_TITLED_PANE = 8;
	public final static int FRAME_HEIGHT_TITLED_PANE = 34;
	
	public final static int FRAME_WIDTH_CONTENT_PANE = 640;	
	public final static int FRAME_HEIGHT_CONTENT_PANE = 480;	
	
	public final static int FRAME_WIDTH  = FRAME_WIDTH_TITLED_PANE  + FRAME_WIDTH_CONTENT_PANE;
	public final static int FRAME_HEIGHT = FRAME_HEIGHT_TITLED_PANE + FRAME_HEIGHT_CONTENT_PANE;
	
	public final static double WIDTH_SCORE_GAME_FACTOR = 1;
	public final static double HEIGHT_SCORE_GAME_FACTOR = 0.1;
	
	public final static double WIDTH_TRAY_GAME_FACTOR = 1;
	public final static double HEIGHT_TRAY_GAME_FACTOR = 0.9;
			
	public final static String LABEL_GAME_MENU = "Jogo";
	public final static String LABEL_REINIT_MENU_ITEM = "Reiniciar";
	public final static String LABEL_EXIT_MENU_ITEM = "Sair";
	
}
