package italo.pacman.constants;

import italo.pacman.logic.game.motion.Motion;
import italo.pacman.logic.game.motion.NearMotion;
import italo.pacman.logic.game.motion.NormalMotion;
import italo.pacman.logic.game.motion.RandomMotion;
import italo.pacman.logic.game.motion.WayMotion;


public interface MotionConstants {

	public final static Motion NORMAL_MOTION = new NormalMotion();
	public final static Motion RANDOM_MOTION = new RandomMotion();
	public final static Motion NEAR_MOTION = new NearMotion();
	public final static Motion WAY_MOTION = new WayMotion();
		
	public final static String STRING_NORMAL_MOTION = "movimentonormal";
	public final static String STRING_RANDOM_MOTION = "movimentoaleatorio";
	public final static String STRING_NEAR_MOTION = "movimentoparaperto";
	public final static String STRING_WAY_MOTION = "movimentoparalonge";
	
}
