package italo.pacman.constants.fase;

public interface Fase4Constants {

	public final static int VELOCIDADE_DO_COMECOME = 5;
	public final static int VELOCIDADE_DOS_MONSTRINHOS[] = {5, 5, 5, 5};

    public final static int LARGURA_DAS_PAREDES = 25;
	public final static double FATOR_DIMENSAO_PERSONAGEM = 0.7; 
		
	public final static boolean[][] PAREDES_HORIZONTAL = {
		{false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false},
		{true  ,false ,false ,true  ,false ,true  ,true  ,false ,true  ,false ,false ,true },
		{true  ,true  ,true  ,false ,true  ,false ,false ,true  ,false ,true  ,true  ,true },
		{true  ,true  ,false ,false ,true  ,false ,false ,true  ,false ,false ,true  ,true },
		{true  ,false ,true  ,true  ,false ,false ,false ,false ,true  ,true  ,false ,true },
		{true  ,false ,true  ,true  ,false ,false ,false ,false ,true  ,true  ,false ,true },
		{true  ,true  ,true  ,false ,false ,false ,false ,false ,false ,true  ,true  ,true },
		{true  ,true  ,true  ,false ,true  ,false ,false ,true  ,false ,true  ,true  ,true },
		{true  ,false ,false ,true  ,false ,true  ,true  ,false ,true  ,false ,false ,true },
		{false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false}
	};
	
	public final static boolean[][] PAREDES_VERTICAL = {
		{false ,true  ,true  ,true  ,true  ,true  ,false ,true  ,true  ,true  ,true  ,true  ,false},
		{false ,true  ,true  ,true  ,false ,true  ,false ,true  ,false ,true  ,true  ,true  ,false},
		{false ,false ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,false ,false},
		{false ,true  ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,true  ,false},
		{true  ,true  ,true  ,false ,false ,true  ,true  ,true  ,false ,false ,true  ,true  ,true },
		{false ,true  ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,true  ,false},
		{false ,false ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,false ,false},
		{false ,true  ,true  ,true  ,false ,true  ,false ,true  ,false ,true  ,true  ,true  ,false},
		{false ,true  ,true  ,true  ,true  ,true  ,false ,true  ,true  ,true  ,true  ,true  ,false}
	};

	
	public final static boolean[][] BOLINHAS = {
		{true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true },
		{true  ,false ,false ,false ,false ,false ,true  ,false ,false ,false ,true  ,false ,true  ,false ,false ,false ,true  ,false ,false ,false ,false ,false ,true },
		{true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,true  ,true  ,true  ,false ,true  ,true  ,true  ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true },
		{true  ,false ,true  ,false ,true  ,false ,false ,false ,true  ,false ,false ,false ,false ,false ,true  ,false ,false ,false ,true  ,false ,true  ,false ,true },
		{true  ,false ,true  ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,true  ,false ,true },
		{true  ,false ,true  ,false ,false ,false ,false ,false ,true  ,false ,false ,false ,false ,false ,true  ,false ,false ,false ,false ,false ,true  ,false ,true },
		{true  ,true  ,true  ,false ,true  ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,true  ,false ,true  ,true  ,true },
		{false ,false ,false ,false ,true  ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,true  ,false ,false ,false ,false},
		{true  ,true  ,true  ,true  ,true  ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,true  ,true  ,true  ,true  ,true },
		{false ,false ,false ,false ,true  ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,true  ,false ,false ,false ,false},
		{true  ,true  ,true  ,false ,true  ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,true  ,false ,true  ,true  ,true },
		{true  ,false ,true  ,false ,true  ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,false ,true  ,false ,true  ,false ,true },
		{true  ,false ,true  ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,true  ,false ,true },
		{true  ,false ,true  ,false ,true  ,false ,false ,false ,true  ,false ,false ,false ,false ,false ,true  ,false ,false ,false ,true  ,false ,true  ,false ,true },
		{true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,true  ,true  ,true  ,false ,true  ,true  ,true  ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true },
		{true  ,false ,false ,false ,false ,false ,true  ,false ,false ,false ,true  ,false ,true  ,false ,false ,false ,true  ,false ,false ,false ,false ,false ,true },
		{true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,false ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true  ,true }
	};
			
	public final static int[][] BOLINHAS_GRANDES = {
		{4 ,0},
		{18 ,0},
		{4 ,16},
		{18 ,16}
	};
	
	public final static String DIRECAO_INICIAL_COMECOME = "frente";
	
	public final static String[] DIRECOES_INICIAIS_MONSTRINHOS = {
		"frente", "cima", "cima", "traz"
	};	
	
	public final static int[] POSICAO_INICIAL_COMECOME = {5, 2};
	
	public final static int[][] POSICOES_INICIAIS_MONSTRINHOS = {
		{4 ,4},
		{5 ,4},
		{6 ,4},
		{7 ,4}
	};

	public final static String[] ESTADOS_INICIAIS_MONSTRINHOS = {
		"forte", "forte", "forte", "forte"
	};
	
	public final static int[][] INDICES_CELULAS_CASA = {
		{4 ,4},
		{5 ,4},
		{6 ,4},
		{7 ,4}
	};
		
	public final static int[][] INDICES_PORTAS_HORIZONTAL_CASA = {
		{5, 4},
		{6 ,4}
	};
	
	public final static int[][] INDICES_PORTAS_VERTICAL_CASA = {
		
	};
	
}
