package italo.pacman.controller;

import italo.pacman.gui.GUIFacade;
import italo.pacman.logic.abertura.Abertura;
import italo.pacman.logic.abertura.event.AberturaListener;
import italo.pacman.logic.game.bound.Bound;
import italo.pacman.multimidia.MultimidiaFacade;

public class HandleAbertura implements AberturaListener {

	public void init(Abertura abertura) {
		MultimidiaFacade.getInstance().imageLoad("img/abertura/1.gif");						
		abertura.init( GUIFacade.getInstance().getAberturaPicture() );
		abertura.setImage( MultimidiaFacade.getInstance().getImagemAbertura("1") );			
		GUIFacade.getInstance().setCurrentPicture( GUIFacade.getInstance().getAberturaPicture() );
		GUIFacade.getInstance().repaint();
	}

	public void initialize(Abertura abertura) {
		int x = 0;
		int y = 0;
		int width = GUIFacade.getInstance().getPersonalPanel().getWidth();
		int height = GUIFacade.getInstance().getPersonalPanel().getHeight();
		abertura.initialize( new Bound(x, y, width, height) );
	}

}
