package italo.pacman.controller;

import italo.pacman.constants.GUIConstants;
import italo.pacman.gui.GUIFacade;
import italo.pacman.logic.game.Score;
import italo.pacman.logic.game.bound.Bound;
import italo.pacman.logic.game.event.ScoreListener;

public class HandleScore implements ScoreListener {

	public void resize(Score score) {
		int fullWidth  = GUIFacade.getInstance().getPersonalPanel().getWidth();
		int fullHeight = GUIFacade.getInstance().getPersonalPanel().getHeight();
		
		int scoreBoundWidth  = (int)( fullWidth  * GUIConstants.WIDTH_SCORE_GAME_FACTOR);
		int scoreBoundHeight = (int)( fullHeight * GUIConstants.HEIGHT_SCORE_GAME_FACTOR);
		
		int scoreBoundX = ( fullWidth - scoreBoundWidth ) / 2;
		int scoreBoundY = 0;
						
		score.resize(new Bound(scoreBoundX, scoreBoundY, scoreBoundWidth, scoreBoundHeight));		
	}
			
}
