package italo.pacman.controller;

import italo.pacman.constants.GUIConstants;
import italo.pacman.gui.GUIFacade;
import italo.pacman.logic.game.Tray;
import italo.pacman.logic.game.bound.Bound;
import italo.pacman.logic.game.event.TrayListener;

public class HandleTray implements TrayListener {
	
	public void resize(Tray tray) {
		int fullWidth  = GUIFacade.getInstance().getPersonalPanel().getWidth();
		int fullHeight = GUIFacade.getInstance().getPersonalPanel().getHeight();		
		int scoreBoundHeight = (int)( fullHeight * GUIConstants.HEIGHT_SCORE_GAME_FACTOR);
		
		int trayBoundWidth   = (int)( fullWidth  * GUIConstants.WIDTH_TRAY_GAME_FACTOR);
		int trayBoundHeight  = (int)( fullHeight * GUIConstants.HEIGHT_TRAY_GAME_FACTOR);
		
		int trayBoundX  = ( fullWidth  - trayBoundWidth ) / 2;
		int trayBoundY  = scoreBoundHeight;
		
		tray.resize(new Bound(trayBoundX, trayBoundY, trayBoundWidth, trayBoundHeight));
	}
	
	public void init(Tray tray) {
		
	}

}
