package italo.pacman.gui.input;

import italo.pacman.gui.input.event.InputContainerListener;
import italo.pacman.gui.input.event.InputGameListener;
import italo.pacman.gui.menu.event.MenuActionListener;

public interface Input {
	
	public void setInputContainerListener(InputContainerListener listener);
	
	public void setInputGameListener(InputGameListener listener);
	
	public void setInputMenuListener(MenuActionListener listener);
	
	public void removeInputContainerListener();
	
	public void removeInputGameListener();
	
	public void removeInputMenuListener();
	
	public InputContainerListener getInputContainerListener();

	public InputGameListener getInputGameListener();

	public MenuActionListener getInputMenuListener();
	
}
