package italo.pacman.load.attributes;

import italo.pacman.logic.game.attributes.MonsterAttributes;
import italo.pacman.logic.game.attributes.PacmanAttributes;
import italo.pacman.logic.game.attributes.TrayAttributes;

public class LoadTrayAttributes implements TrayAttributes {
	
	private double initialPersonageDimensionFactor;
	private int widthWalls;	
	
	private boolean[][] horizontalWalls;	
	private boolean[][] verticalWalls;	
	private boolean[][] bolls;			
	private int[][] bigBolls;			
	private int[][] houseCellIndexes;
	private int[][] horizontalHouseDoorIndexes;
	private int[][] verticalHouseDoorIndexes;
	
	private int boundWidth;
	private int boundHeight;
	
	private PacmanAttributes pacmanAttributes;
	private MonsterAttributes[] monstersAttributes;

	public boolean[][] getHorizontalWalls() {
		return horizontalWalls;
	}

	public void setHorizontalWalls(boolean[][] paredesHorizontal) {
		this.horizontalWalls = paredesHorizontal;
	}

	public boolean[][] getVerticalWalls() {
		return verticalWalls;
	}

	public void setVerticalWalls(boolean[][] paredesVertical) {
		this.verticalWalls = paredesVertical;
	}

	public boolean[][] getBolls() {
		return bolls;
	}

	public void setBolls(boolean[][] bolinhas) {
		this.bolls = bolinhas;
	}

	public int[][] getBigBolls() {
		return bigBolls;
	}

	public void setBigBolls(int[][] bolinhasGrandes) {
		this.bigBolls = bolinhasGrandes;
	}

	public int[][] getHorizontalHouseWallIndexes() {
		return horizontalHouseDoorIndexes;
	}

	public void setHorizontalHouseDoorIndexes(int[][] indicesPortasHorizontalCasa) {
		this.horizontalHouseDoorIndexes = indicesPortasHorizontalCasa;
	}

	public int[][] getVerticalHouseWallIndexes() {
		return verticalHouseDoorIndexes;
	}

	public void setVerticalHouseDoorIndexes(int[][] indicesPortasVerticalCasa) {
		this.verticalHouseDoorIndexes = indicesPortasVerticalCasa;
	}

	public int[][] getHouseCellIndexes() {
		return houseCellIndexes;
	}

	public void setHouseCellIndexes(int[][] indicesCelulasCasa) {
		this.houseCellIndexes = indicesCelulasCasa;
	}

	public int getBoundWidth() {
		return boundWidth;
	}

	public void setBoundWidth(int boundWidth) {
		this.boundWidth = boundWidth;
	}

	public int getBoundHeight() {
		return boundHeight;
	}

	public void setBoundHeight(int boundHeight) {
		this.boundHeight = boundHeight;
	}

	public PacmanAttributes getPacmanAttributes() {
		return pacmanAttributes;
	}

	public void setPacmanAttributes(PacmanAttributes pacmanAttributes) {
		this.pacmanAttributes = pacmanAttributes;
	}

	public MonsterAttributes[] getMonstersAttributes() {
		return monstersAttributes;
	}

	public void setMonstersAttributes(MonsterAttributes[] monstersAttributes) {
		this.monstersAttributes = monstersAttributes;
	}

	public int getWidthWalls() {
		return widthWalls;
	}

	public void setWidthWalls(int widthWalls) {
		this.widthWalls = widthWalls;
	}

	public int[][] getHorizontalHouseDoorIndexes() {
		return horizontalHouseDoorIndexes;
	}

	public int[][] getVerticalHouseDoorIndexes() {
		return verticalHouseDoorIndexes;
	}

	public double getInitialPersonageDimensionFactor() {
		return initialPersonageDimensionFactor;
	}

	public void setInitialPersonageDimensionFactor(double initialPersonageDimensionFactor) {
		this.initialPersonageDimensionFactor = initialPersonageDimensionFactor;
	}


}
