package italo.pacman.load.fase;

import italo.pacman.load.fase.properties.FaseProperties;
import italo.pacman.load.fase.properties.FasePropertiesConstants;
import italo.pacman.logic.game.attributes.FaseAttributes;

public class FaseLoadFacade {

	public static FaseAttributes[] loadFaseAttributes() {
		FaseProperties[] fasesProperties = FasePropertiesConstants.FASES;
		FaseAttributes[] faseAttributes = new FaseAttributes[fasesProperties.length];
		for(int i = 0; i < faseAttributes.length; i++) {			
			faseAttributes[i] = new FaseLoad( fasesProperties[i] ).load(); 
		}
		return faseAttributes;
	}
	
}
