package italo.pacman.load.fase.properties;

import italo.pacman.constants.fase.Fase2Constants;


public class Fase2Properties implements FaseProperties, Fase2Constants {

	public int[][] getBigBolls() {
		return BOLINHAS_GRANDES;
	}

	public boolean[][] getBolls() {
		return BOLINHAS;
	}

	public int[][] getHorizontalHouseDoorIndexes() {
		return INDICES_PORTAS_HORIZONTAL_CASA;
	}

	public boolean[][] getHorizontalWalls() {
		return PAREDES_HORIZONTAL;
	}

	public int[][] getHouseCellIndexes() {
		return INDICES_CELULAS_CASA;
	}

	public String[] getInitialMonstersDirection() {
		return DIRECOES_INICIAIS_MONSTRINHOS;
	}

	public int[][] getInitialMonstersPosition() {
		return POSICOES_INICIAIS_MONSTRINHOS;
	}

	public String getInitialPacmanDirection() {
		return DIRECAO_INICIAL_COMECOME;
	}

	public int[] getInitialPacmanPosition() {
		return POSICAO_INICIAL_COMECOME;
	}

	public int[] getMonstersSpeed() {
		return VELOCIDADE_DOS_MONSTRINHOS;
	}

	public int getPacmanSpeed() {
		return VELOCIDADE_DO_COMECOME;
	}

	public int[][] getVerticalHouseDoorIndexes() {
		return INDICES_PORTAS_VERTICAL_CASA;
	}

	public boolean[][] getVerticalWalls() {
		return PAREDES_VERTICAL;
	}
	
	public int getWidthWalls() {
		return LARGURA_DAS_PAREDES;
	}
	
	public String[] getInitialMonstersState() {
		return ESTADOS_INICIAIS_MONSTRINHOS;
	}
		
	public double getInitialPersonageDimensionFactor() {
		return FATOR_DIMENSAO_PERSONAGEM;
	}
	
}
