package italo.pacman.load.fase.properties;

public interface FaseProperties {

	public int getPacmanSpeed();
	
	public int[] getMonstersSpeed();
	
	public double getInitialPersonageDimensionFactor();
	
	public int getWidthWalls();
	
	public boolean[][] getHorizontalWalls();
	
	public boolean[][] getVerticalWalls();
	
	public boolean[][] getBolls();
	
	public int[][] getBigBolls();
	
	public String getInitialPacmanDirection();
	
	public String[] getInitialMonstersDirection();
	
	public int[] getInitialPacmanPosition();
	
	public int[][] getInitialMonstersPosition();
	
	public String[] getInitialMonstersState();
	
	public int[][] getHouseCellIndexes();
	
	public int[][] getHorizontalHouseDoorIndexes();
	
	public int[][] getVerticalHouseDoorIndexes();
	
}
