package italo.pacman.logic.encerramento.mediator;

import italo.pacman.adapter.picture.encerramento.LogicEncerramentoPicture;
import italo.pacman.logic.AbstractFigureMediator;
import italo.pacman.logic.encerramento.Encerramento;

public class EncerramentoMediator extends AbstractFigureMediator {
	
	private Encerramento encerramento;
	
	public EncerramentoMediator(Encerramento encerramento) {
		this.encerramento = encerramento;
	}
	
	public void init(LogicEncerramentoPicture picture) {
		picture.init(encerramento);		
		super.setLogicPicture(picture);				
	}
	
}
