package italo.pacman.logic.game;

import italo.pacman.adapter.figure.game.PacmanFigure;
import italo.pacman.adapter.picture.game.LogicPacmanPicture;
import italo.pacman.logic.game.attributes.PacmanAttributes;
import italo.pacman.logic.game.event.PacmanListener;

public interface Pacman extends Personage, PacmanFigure {

	public void setPacmanListener(PacmanListener listener);
	
	public void removePacmanListener();
	
	public void eatBoll();
	
	public void eatBigBoll();
	
	public void eatMonster(Monster monstrinho);
	
	public void initialize(PacmanAttributes attributes);
	
	public void init(LogicPacmanPicture picture);	
				
}
