package italo.pacman.logic.game.astar.algoritmo.util;

import italo.pacman.logic.game.astar.AStarCell;
import italo.pacman.logic.game.astar.AStarCellPosition;

public class AStarUtil {

	public static double distance(int x1, int y1, int x2, int y2){
		return Math.sqrt(Math.pow((x2-x1), 2)+Math.pow((y2-y1), 2));
	}
	
	public static double distancia(AStarCell c1, AStarCell c2){
		return distance(c1.getX(), c1.getY(), c2.getX(), c2.getY());
	}
	
	public static double distancia(AStarCellPosition p1, AStarCellPosition p2){
		return distance(p1.getX(), p1.getY(), p2.getX(), p2.getY());
	}
	
	public static int random(int min, int max){
		return (int) (min+Math.round(Math.random()*(max-min)));
	}
			
}
