package italo.pacman.logic.game.astar.algoritmo.valueobject;

import italo.pacman.logic.game.astar.AStarCellPosition;

public class AStarCellPositionVO implements AStarCellPosition {
	
	private int x;
	private int y;
	
	public AStarCellPositionVO(int x, int y) {
		this.x = x;
		this.y = y;
	}
	
	public AStarCellPositionVO newPosition() {
		return new AStarCellPositionVO(x, y);
	}
	
	public int getX() {
		return x;
	}

	public void setX(int x) {
		this.x = x;
	}

	public int getY() {
		return y;
	}

	public void setY(int y) {
		this.y = y;
	}
	
	public String toString() {
		return ("("+x+", "+y+")");
	}

}
