package italo.pacman.logic.game.attributes;

public interface TrayAttributes {

	public PacmanAttributes getPacmanAttributes();
	
	public MonsterAttributes[] getMonstersAttributes();
	
	public int getWidthWalls();
	
	public boolean[][] getHorizontalWalls();
	
	public boolean[][] getVerticalWalls();
	
	public boolean[][] getBolls();
	
	public int[][] getBigBolls();
	
	public int[][] getHouseCellIndexes();
	
	public int[][] getHorizontalHouseWallIndexes();
	
	public int[][] getVerticalHouseWallIndexes();
	
	public double getInitialPersonageDimensionFactor();
				
}
