package italo.pacman.logic.game.direction;

import italo.pacman.constants.DirectionConstants;

import java.util.HashMap;
import java.util.Map;

public class DirectionList implements DirectionConstants {

	private Map<String, Direction> directions;
	
	public DirectionList() {
		this.directions = new HashMap<String, Direction>();
		for(int i = 0; i < DIRECTIONS.length; i++)
			directions.put(STRING_DIRECTIONS[i], DIRECTIONS[i]);		
	}
	
	public Direction getDirection(String d) {
		return directions.get(d);
	}
	
	public boolean containDirection(String d) {
		return directions.containsKey(d);
	}
	
}
