package italo.pacman.logic.game.mediator;

import italo.pacman.adapter.picture.game.LogicBigBollPicture;
import italo.pacman.logic.AbstractFigureMediator;
import italo.pacman.logic.game.BigBoll;

public class BigBollMediator extends AbstractFigureMediator {

	private BigBoll bigBoll;
	
	public BigBollMediator(BigBoll bigBoll) {
		this.bigBoll = bigBoll;
	}
	
	public void init(LogicBigBollPicture picture) {		
		picture.init(bigBoll);
		super.setLogicPicture(picture);
	}
	
}
