package italo.pacman.logic.game.mediator;

import italo.pacman.adapter.picture.game.LogicCellPicture;
import italo.pacman.logic.AbstractFigureMediator;
import italo.pacman.logic.game.Cell;

public class CellMediator extends AbstractFigureMediator {

	private Cell cell;
	
	public CellMediator(Cell cell) {
		this.cell = cell;
	}
	
	public void init(LogicCellPicture picture) {
		picture.init(cell);
		super.setLogicPicture(picture);	
	}

}
