package italo.pacman.logic.game.mediator;

import italo.pacman.adapter.picture.game.LogicHousePicture;
import italo.pacman.logic.AbstractFigureMediator;
import italo.pacman.logic.game.House;

public class HouseMediator extends AbstractFigureMediator {

	private House house;
	
	public HouseMediator(House house) {
		this.house = house;
	}
	
	public void init(LogicHousePicture picture) {
		picture.init(house);
		super.setLogicPicture(picture);
	}
	
}
