package italo.pacman.logic.game.mediator;

import italo.pacman.adapter.picture.abertura.LogicProgressBarPicture;
import italo.pacman.logic.AbstractFigureMediator;
import italo.pacman.logic.game.ProgressBar;

public class ProgressBarMediator extends AbstractFigureMediator {

	private ProgressBar progressBar;
	
	public ProgressBarMediator(ProgressBar abertura) {
		this.progressBar = abertura;
	}
	
	public void init(LogicProgressBarPicture picture) {
		picture.init(progressBar);
		super.setLogicPicture(picture);
	}
	
}
