package italo.pacman.multimidia;

import java.applet.AudioClip;
import java.awt.Image;
import java.net.URL;


public interface MidiaResource {

	public URL resourceURL(String file);
	
	public String resourcePath(String file);
	
	public Image getImage(URL url);
	
	public AudioClip getAudioClip(URL url);
	
	public boolean end();
	
}
