package italo.pacman.picture.image;

import italo.pacman.adapter.figure.ComponentFigure;
import italo.pacman.adapter.figure.Figure;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.ImageObserver;

public interface ImagePicture {
	
	public Image getImage();

	public void setImage(Image image);
	
	public ImageObserver getImageObserver();
	
	public void setImageObserver(ImageObserver imageObserver);
	
	public Figure getComponent();
	
	public void setComponent(ComponentFigure component);
	
	public void paint(Graphics g);
				
}
