package italo.pacman.adapter.figure.game;

import italo.pacman.adapter.figure.ContainerFigure;

import java.util.List;

public interface TrayFigure extends ContainerFigure {
		
	public CellFigure getCellFigure();
	
	public BollFigure getBollFigure();
	
	public BigBollFigure getBigBollFigure();
	
	public HouseFigure getHouseFigure();
	
	public MessageFigure getMessageFigure();
	
	public PacmanFigure getPacmanFigure();
	
	public List<MonsterFigure> getMonstersFigure();
	
	public int getWidthWall();
			
	public boolean[][] getHorizontalWalls();
	
	public boolean[][] getVerticalWalls();

	public int[][] getDoorIndexes();
	
}
