package italo.pacman.adapter.picture.game;

import italo.pacman.adapter.figure.game.TrayFigure;
import italo.pacman.logic.LogicPicture;

import java.util.List;

public interface LogicTrayPicture extends LogicPicture {

	public void init(TrayFigure figure);
	
	public LogicCellPicture getCellPicture();
	
	public LogicHousePicture getHousePicture();
	
	public LogicBollPicture getBollPicture();
	
	public LogicBigBollPicture getBigBollPicture();
	
	public LogicMessagePicture getMessagePicture();
	
	public LogicPacmanPicture getPacmanPicture();
	
	public List<LogicMonsterPicture> getMonstersPicture();
	
}
