package italo.pacman.constants;

public interface AudioConstants {

	public final static String DIRETORIO_BASE = "audio/";
	public final static String DIRETORIO_FASE = "fase/";
	public final static String DIRETORIO_VIDA = "vida/";
	public final static String COMEU = "comeu";
	public final static String COMEUBG = "comeubg";
	public final static String OOH = "ooh";
	public final static String OOPS = "oops";
	public final static String GAMEOVER = "gameover";
	public final static String PASSOU = "passou";
	public final static String ZEROU = "zerou";
	public final static String RISADAMALIGNA = "risadamaligna";
	public final static String WOODY = "woody";	
	public final static String ATRAVESSAR_PAREDES = "atravessarparedes";
	public final static String NAO_ATRAVESSAR_PAREDES = "naoatravessarparedes";
	public final static String EXT = ".wav";
	
	public final static int AUDIOS_FASE_QUANTITY = 5;
	public final static int AUDIOS_VIDA_QUANTITY = 4;
	
	public final static String[] AUDIO_PATHS = {
		"audio/comeu.wav",	
		"audio/comeubg.wav",
		"audio/passou.wav",
		"audio/zerou.wav",
		"audio/gameover.wav",		
		"audio/ooh.wav",
		"audio/oops.wav",
		"audio/risadamaligna.wav",
		"audio/atravessarparedes.wav",
		"audio/naoatravessarparedes.wav",
		"audio/woody.wav",
		"audio/fase/1.wav",	
		"audio/fase/2.wav",
		"audio/fase/3.wav",
		"audio/fase/4.wav",
		"audio/fase/5.wav",
		"audio/vida/1.wav",
		"audio/vida/2.wav",
		"audio/vida/3.wav",
		"audio/vida/4.wav"		
	};
		
}
