package italo.pacman.constants;

import italo.pacman.logic.game.difficulty.Difficulty;
import italo.pacman.logic.game.difficulty.EasyDifficulty;
import italo.pacman.logic.game.difficulty.HardDifficulty;
import italo.pacman.logic.game.difficulty.NormalDifficulty;
import italo.pacman.logic.game.difficulty.SuperHardDifficulty;


public interface DifficultyConstants {

	public final static Difficulty DIFICULDADE_FACIL = new EasyDifficulty();
	public final static Difficulty DIFICULDADE_NORMAL = new NormalDifficulty();
	public final static Difficulty DIFICULDADE_DIFICIL = new HardDifficulty();
	public final static Difficulty DIFICULDADE_SUPER_DIFICIL = new SuperHardDifficulty();
	
	public final static String STRING_DIFICULDADE_FACIL = ImageConstants.ITEM_MENU_DIFICULDADE_FACIL;
	public final static String STRING_DIFICULDADE_NORMAL = ImageConstants.ITEM_MENU_DIFICULDADE_NORMAL;
	public final static String STRING_DIFICULDADE_DIFICIL = ImageConstants.ITEM_MENU_DIFICULDADE_DIFICIL;
	public final static String STRING_DIFICULDADE_SUPER_DIFICIL = ImageConstants.ITEM_MENU_DIFICULDADE_SUPERDIFICIL;
		
	public final static double FATOR_COLISAO_DIFICULDADE_FACIL = 0.5;
	public final static double FATOR_COLISAO_DIFICULDADE_NORMAL = 0.5;
	public final static double FATOR_COLISAO_DIFICULDADE_DIFICIL = 0.5;
	public final static double FATOR_COLISAO_DIFICULDADE_SUPER_DIFICIL = 0.5;
	
	public final static double FATOR_PROXIMIDADE_DIFICULDADE_FACIL = 1.0;
	public final static double FATOR_PROXIMIDADE_DIFICULDADE_NORMAL = 2.0;
	public final static double FATOR_PROXIMIDADE_DIFICULDADE_DIFICIL = 3.0;
	public final static double FATOR_PROXIMIDADE_DIFICULDADE_SUPER_DIFICIL = 4.0;
	
}
