package italo.pacman.constants;

public interface ImageConstants {

	public final static String EXT = ".gif";
	
	public final static String DIRETORIO_BASE = "img/";
	public final static String DIRETORIO_ENCERRAMENTO= "encerramento/";
	public final static String DIRETORIO_ABERTURA = "abertura/";
	public final static String DIRETORIO_PERSONAGEM = "personagem/";
	public final static String DIRETORIO_MONSTRINHO = "monstrinho/";
	public final static String DIRETORIO_COMECOME = "comecome/";
	public final static String DIRETORIO_MENU = "menu/";
	public final static String DIRETORIO_TABULEIRO = "tabuleiro/";
	public final static String DIRETORIO_MENSAGEM = "mensagem/";
	public final static String DIRETORIO_VIDA = "vida/";
	
	public final static String MENSAGEM_GAMEOVER = "gameover";
	public final static String MENSAGEM_PASSOU = "passou";
	public final static String MENSAGEM_ZEROU = "zerou";
	public final static String MENSAGEM_PAUSE = "pausa";
	
	public final static String MENU_OPCOES = "opcoes";
	public final static String MENU_DIFICULDADE = "dificuldade";
	
	public final static String ITEM_MENU_JOGAR = "jogar";
	public final static String ITEM_MENU_SAIR = "sair";
	public final static String ITEM_MENU_VOLTAR = "voltar";
	
	public final static String ITEM_MENU_DIFICULDADE_FACIL = "facil";
	public final static String ITEM_MENU_DIFICULDADE_NORMAL = "normal";
	public final static String ITEM_MENU_DIFICULDADE_DIFICIL = "dificil";
	public final static String ITEM_MENU_DIFICULDADE_SUPERDIFICIL = "superdificil";
	
	public final static String[] IMAGE_PATHS = {
		
		"img/abertura/1.gif",
		"img/encerramento/1.gif",
				
		"img/mensagem/vida/1.gif",
		"img/mensagem/vida/2.gif",
		"img/mensagem/vida/3.gif",
		"img/mensagem/vida/4.gif",
		"img/mensagem/gameover.gif",
		"img/mensagem/passou.gif",
		"img/mensagem/zerou.gif",
		"img/mensagem/pausa.gif",
		
		"img/tabuleiro/1.gif", 
		"img/tabuleiro/2.gif",
		"img/tabuleiro/3.gif", 
		"img/tabuleiro/4.gif", 
		"img/tabuleiro/5.gif", 
		
		"img/personagem/comecome/frente/1.gif",
		"img/personagem/comecome/frente/2.gif",
		"img/personagem/comecome/frente/3.gif",
		"img/personagem/comecome/baixo/1.gif",
		"img/personagem/comecome/baixo/2.gif",
		"img/personagem/comecome/baixo/3.gif",
		"img/personagem/comecome/traz/1.gif",
		"img/personagem/comecome/traz/2.gif",
		"img/personagem/comecome/traz/3.gif",
		"img/personagem/comecome/cima/1.gif",
		"img/personagem/comecome/cima/2.gif",
		"img/personagem/comecome/cima/3.gif",
		
		"img/personagem/monstrinho/forte/1/1.gif",
		"img/personagem/monstrinho/forte/1/2.gif",
		"img/personagem/monstrinho/forte/1/3.gif",	
		"img/personagem/monstrinho/forte/2/1.gif",
		"img/personagem/monstrinho/forte/2/2.gif",
		"img/personagem/monstrinho/forte/2/3.gif",
		"img/personagem/monstrinho/forte/3/1.gif",
		"img/personagem/monstrinho/forte/3/2.gif",
		"img/personagem/monstrinho/forte/3/3.gif",
		"img/personagem/monstrinho/forte/4/1.gif",
		"img/personagem/monstrinho/forte/4/2.gif",
		"img/personagem/monstrinho/forte/4/3.gif",
		"img/personagem/monstrinho/forte/5/1.gif",
		"img/personagem/monstrinho/forte/5/2.gif",
		"img/personagem/monstrinho/forte/5/3.gif",
		"img/personagem/monstrinho/forte/6/1.gif",
		"img/personagem/monstrinho/forte/6/2.gif",
		"img/personagem/monstrinho/forte/6/3.gif",
		
		"img/personagem/monstrinho/fraco/1.gif",
		"img/personagem/monstrinho/fraco/2.gif",
		"img/personagem/monstrinho/fraco/3.gif",
		
		"img/personagem/monstrinho/meiofraco/1.gif",
		"img/personagem/monstrinho/meiofraco/2.gif",
		"img/personagem/monstrinho/meiofraco/3.gif",
		
		"img/personagem/monstrinho/muitofraco/1.gif",
		"img/personagem/monstrinho/muitofraco/2.gif",
		"img/personagem/monstrinho/muitofraco/3.gif",		
	};
			
}
