package italo.pacman.constants;

import italo.pacman.logic.game.state.MiddleWeakState;
import italo.pacman.logic.game.state.MuchWeakState;
import italo.pacman.logic.game.state.State;
import italo.pacman.logic.game.state.StrongState;
import italo.pacman.logic.game.state.WeakState;

public interface StateConstants {

	public final static State STRONG_STATE = new StrongState();
	public final static State MIDDLE_WEAK_STATE = new MiddleWeakState();
	public final static State WEAK_STATE = new WeakState();
	public final static State MUCH_WEAK_STATE = new MuchWeakState();
		
	public final static String STRING_STRONG_STATE = "forte";
	public final static String STRING_MIDDLE_WEAK_STATE = "meiofraco";
	public final static String STRING_WEAK_STATE = "fraco";
	public final static String STRING_MUCH_WEAK_STATE = "muitofraco";
	
	public final static double COEFICIENTE_VELOCIDADE_ESTADO_FORTE = 1.0;
	public final static double COEFICIENTE_VELOCIDADE_ESTADO_MEIO_FRACO = 0.5;
	public final static double COEFICIENTE_VELOCIDADE_ESTADO_FRACO = 0.5;
	public final static double COEFICIENTE_VELOCIDADE_ESTADO_MUITO_FRACO = 2;

}
