package italo.pacman.controller;

import italo.pacman.logic.SistemaFacade;
import italo.pacman.logic.game.Game;
import italo.pacman.trick.Trick;
import italo.pacman.trick.TrickListener;

public class HandleChangeFaseTrick implements TrickListener {
		
	public void trickFinish(Trick trick) {
		try {
			Game game = SistemaFacade.getInstance().getCurrentGame();
			char[] trickDigitado = trick.getTrickDigitado();
			int nFase = Integer.parseInt(String.valueOf(trickDigitado[trickDigitado.length-1]))-1;
			int gameFasesQuantity = game.getFasesQuantity();
			int currentFaseIndex = game.getCurrentFaseIndex();
			if(nFase < gameFasesQuantity && nFase != currentFaseIndex) {
				game.gamePause();
				game.getCurrentFase().finish();
				game.gotoFase(nFase);				
			}			
		} catch (NumberFormatException e) {
			
		}		
	}		

}
