package italo.pacman.gui;


import italo.pacman.picture.Picture;

import java.awt.Graphics;

import javax.swing.JPanel;

public class PersonalPanel extends JPanel {

	private static final long serialVersionUID = 1L;		

	private Picture picture = null;
	
	public PersonalPanel() {}
	
	PersonalPanel(Picture picture) {
		this.picture = picture;
	}
	
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		if(picture != null)
			picture.paint(g);	
	}

	public Picture getPicture() {
		return picture;
	}

	public void setPicture(Picture picture) {
		this.picture = picture;
	}
		
}
