package italo.pacman.logic.abertura;

import italo.pacman.adapter.figure.abertura.AberturaFigure;
import italo.pacman.adapter.picture.abertura.LogicAberturaPicture;
import italo.pacman.logic.Sistema;
import italo.pacman.logic.abertura.event.AberturaListener;
import italo.pacman.logic.game.ProgressBar;
import italo.pacman.logic.game.bound.Bound;

public interface Abertura extends AberturaFigure {

	public void setAberturaListener(AberturaListener listener);
	
	public void removeAberturaListener();
	
	public void initialize();
	
	public void init();
	
	public void initialize(Bound bound);
	
	public void init(LogicAberturaPicture picture);
	
	public ProgressBar getProgressBar();
	
	public void setPercentage(int percentage);
	
	public Sistema getSistema();
		
}
