package italo.pacman.logic.encerramento;

import italo.pacman.adapter.figure.encerramento.EncerramentoFigure;
import italo.pacman.adapter.picture.encerramento.LogicEncerramentoPicture;
import italo.pacman.logic.encerramento.event.EncerramentoListener;
import italo.pacman.logic.game.bound.Bound;

public interface Encerramento extends EncerramentoFigure {

	public void setEncerramentoListener(EncerramentoListener listener);
	
	public void removeEncerramentoListener();
	
	public void initialize();
	
	public void init();
	
	public void initialize(Bound bound);
	
	public void init(LogicEncerramentoPicture picture);
	
}
