package italo.pacman.logic.event;

import italo.pacman.logic.Sistema;
import italo.pacman.multimidia.MidiaLoad;


public interface SistemaListener {
	
	public void abertura(Sistema sistema);
	
	public void encerramento(Sistema sistema);
	
	public void load(Sistema sistema);
	
	public void load(Sistema sistema, MidiaLoad midiaLoad);
	
	public void loading(Sistema sistema, int percentage);
	
	public void play(Sistema sistema);
	
	public void finish(Sistema sistema);
	
	public void begin(Sistema sistema);
	
	public void end(Sistema sistema);
							
}
