package italo.pacman.logic.game;

import italo.pacman.adapter.figure.game.PersonageFigure;
import italo.pacman.adapter.picture.game.LogicPersonagePicture;
import italo.pacman.logic.game.direction.Direction;
import italo.pacman.logic.game.event.PersonageListener;

public interface Personage extends PersonageFigure {				
			
	public void setPersonageListener(PersonageListener listener);
	
	public void removePersonageListener();
	
	public void repaint();
	
	public void initialize();
	
	public void init();	
	
	public void init(LogicPersonagePicture picture);
	
	public void reinit();
		
	public void finish();
	
	public void begin();
	
	public void end();
	
	public void move();
		
	public void calculateInitialXY(int largura, int altura);
	
	public void resiseXY(int oudWidth, int oudHeight, int width, int height);
			
	public String getId();

	public void setId(String id);

	public int getSpeed();

	public void setSpeed(int speed);

	public String getType();

	public void setType(String type);
	
	public boolean crossWall();
	
	public boolean canCrossWall();
	
	public Direction getDirection();

	public void setDirection(Direction direction);

	public Tray getTray();
	
	public int getInitialX();

	public int getInitialY();

	public Direction getInitialDirection();
	
	public Direction getNewDirection();

	public void setInitialX(int initialX);
	
	public void setInitialY(int initialY);

	public void setInitialDirection(Direction initialDirection);
	
	public void setNewDirection(Direction newDirection);
							
}
