package italo.pacman.logic.game;

import italo.pacman.adapter.figure.game.ScoreFigure;
import italo.pacman.adapter.picture.game.LogicScorePicture;
import italo.pacman.logic.game.bound.Bound;
import italo.pacman.logic.game.event.ScoreListener;

public interface Score extends ScoreFigure {
		
	public void setScoreListener(ScoreListener listener);
	
	public void removeScoreListener();
			
	public void initialize(Bound bound);
	
	public void init(LogicScorePicture picture);
		
	public void resize();
	
	public void resize(Bound bound);
	
	public Game getGame();
	
	public void setScoreValue(int scoreValue);
	
}
