package italo.pacman.logic.game.difficulty;

import italo.pacman.constants.DifficultyConstants;
import italo.pacman.logic.game.Personage;
import italo.pacman.logic.game.Tray;

public interface Difficulty extends DifficultyConstants {

	public boolean haveCollision(Personage p1, Personage p2, Tray tray);
	
	public boolean personagesNear(Personage p1, Personage p2, Tray tray);
	
	public double getCollisionFactor();
	
	public double getNearnessFactor();
	
	public String getString();
	
}
