package italo.pacman.logic.game.direction;

import italo.pacman.constants.DirectionConstants;
import italo.pacman.logic.game.Personage;
import italo.pacman.logic.game.Tray;


public interface Direction extends DirectionConstants {

	public int getXNew(Personage personage, Tray tray);
	
	public int getYNew(Personage personage, Tray tray);
	
	public int getXWall(Personage personage, Tray tray);
	
	public int getYWall(Personage personage, Tray tray);
			
	public boolean validMotion(Personage personage, Tray tray);

	public boolean isFreeWall(Personage personage, Tray tray);
		
	public boolean isHouseDoor(Personage personage, Tray tray);
	
	public boolean isFreeWall(int x, int y, Tray tray);

	public Direction getOppositeDirection();
	
	public Direction[] getRemainderDirection();
	
	public String getString();
	
}
