package italo.pacman.logic.game.event;

import italo.pacman.logic.game.Game;


public interface GameListener {
	
	public void initialize(Game game);
	
	public void init(Game game);
	
	public void play(Game game);
	
	public void finish(Game game);
	
	public void begin(Game game);
	
	public void end(Game game);
	
	public void perdeu(Game game);
	
	public void passouDeFase(Game game);
	
	public void zerou(Game game);
	
	public void gameover(Game game);
	
	public void pauseGame(Game game);
	
	public void continueGame(Game game);
	
}
