package italo.pacman.logic.game.mediator;

import italo.pacman.adapter.picture.game.LogicBollPicture;
import italo.pacman.logic.AbstractFigureMediator;
import italo.pacman.logic.game.Boll;

public class BollMediator extends AbstractFigureMediator {

	private Boll boll;	
	
	public BollMediator(Boll boll) {
		this.boll = boll;
	}

	public void init(LogicBollPicture picture) {
		picture.init(boll);
		super.setLogicPicture(picture);		
	}

}
