package italo.pacman.logic.game.motion;

import italo.pacman.constants.MotionConstants;
import italo.pacman.logic.game.Personage;
import italo.pacman.logic.game.Tray;
import italo.pacman.logic.game.direction.Direction;


public interface Motion extends MotionConstants {

	public boolean move(Personage personage, Tray tabuleiro);
		
	public boolean moveToCurrentDirection(Personage personage, Tray tabuleiro);
	
	public boolean moveToNewDirection(Personage personage, Tray tabuleiro);
	
	public boolean moveToDirection(Personage personage, Tray tabuleiro, Direction direction);
		
}
