package italo.pacman.logic.game.state;

import italo.pacman.constants.StateConstants;
import italo.pacman.logic.game.Monster;
import italo.pacman.logic.game.Tray;
import italo.pacman.logic.game.difficulty.Difficulty;


public interface State extends StateConstants {
	
	public boolean move(Monster monster, Tray tray, Difficulty difficulty);
		
	public int getSpeed(Monster monster);
	
	public boolean finalizeTimeStateThread();
		
	public String getString();
	
}
