package italo.pacman.logic.mediator;

import italo.pacman.logic.game.Load;
import italo.pacman.multimidia.MidiaLoad;

public class MidiaLoadControl implements MidiaLoad {

		public final static int PERCENTAGE_FACTOR = 100;
		
		private int midiasLoaded;
		private int midiasQuantity;
		
		private Load load;
		
		public MidiaLoadControl(Load load, int midiasQuantity) {
			this.load = load;
			this.midiasQuantity = midiasQuantity;
		}
		
		public void midiaLoaded() {
			midiasLoaded++;
			load.loading( ( midiasLoaded * PERCENTAGE_FACTOR ) / midiasQuantity );
		}

	}