package italo.pacman.multimidia;

import italo.pacman.logic.game.Personage;

import java.awt.Image;


public interface Multimidia {
	
	public void initialize(MidiaResource urlFile);

	public void audiosLoad(String[] audiosPath, MidiaLoad load);
	
	public void imageLoad(String imagePath);
	
	public void imagesLoad(String[] imagesPath, MidiaLoad load);
	
	public void executeAudio(String name);
	
	public void executeAudioFase(String name);
	
	public void executeAudioVida(String name);
	
	public Image getImagemTabuleiro(String nome);
	
	public Image getImagemAbertura(String nome);
	
	public Image getImagemEncerramento(String nome);
	
	public Image getImagemMensagem(String nome);
	
	public Image getImagemMensagemVida(String nome);
	
	public Image getImagemPersonagem(Personage personagem, Animation animador);
	
	public boolean isExecuteAudio();
	
	public void setExecuteAudio(boolean execute);
			
}
