package italo.pacman.multimidia.midia;

abstract class AbstractMidia implements Midia {

	protected String nome;	
	
	public AbstractMidia(String nome) {
		this.nome = nome;
	}
	
	public String getCaminho() {
		return getCaminho(getDiretorio());		
	}
	
	public String getCaminho(String diretorio) {
		if(nome != null)
			return (diretorio+nome+getExt());		
		return null;
	}
					
	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}
	
}
 