package italo.pacman.picture.game.tray;

import italo.pacman.adapter.figure.game.MessageFigure;
import italo.pacman.adapter.picture.game.LogicMessagePicture;
import italo.pacman.picture.AbstractComponentPicture;
import italo.pacman.picture.ContainerPicture;

import java.awt.Graphics;

public class MessagePicture extends AbstractComponentPicture implements LogicMessagePicture {

	private MessageFigure messageFigure;
	
	public MessagePicture(ContainerPicture container) {
		super(container);
	}
	
	public void init(MessageFigure messageFigure) {
		this.messageFigure = messageFigure;
		super.imagePicture.setComponent(messageFigure);		
	}

	public void paint(Graphics g) {
		if(messageFigure.isVisible()) 
			imagePicture.paint(g);		
	}
	
}
