package italo.pacman.utilities;

import java.awt.Color;

public class Utilities {
	
	public static void sleep(int time) {
		try {
			Thread.sleep(time);
		} catch (InterruptedException e) {
			
		}
	}
	
	public static Color getRandomColor() {
		int red = (int)random(0, 255);
		int blue = (int)random(0, 255);
		int green = (int)random(0, 255);
		return new Color(red, green, blue);
	}

	public static Color getRandomBlueColor() {
		int blue = (int)random(0, 255);
		return new Color(0, 0, blue);
	}
	
	public static double distance(int x1, int y1, int x2, int y2){
		return Math.sqrt(Math.pow((x2-x1), 2)+Math.pow((y2-y1), 2));
	}
	
	public static int random(int min, int max){
		return (int) (min+Math.round(Math.random()*(max-min)));
	}

}
