package italo.pacman.utilities;


public class VectorUtil {

	public static boolean containCoordinates(int[][] vetor, int x, int y) {
		for(int i = 0; i < vetor.length; i++) {
			int xV = vetor[i][0];
			int yV = vetor[i][1];
			if(x == xV && y == yV)
				return true;
		}
		return false;
	}
	
	public static int[] random(int n) {
		int[] vetor = new int[n];
		int cont = 0;
		while(cont < n) {
			int nRandom = Utilities.random(0, n-1);
			boolean repetido = false;
			for(int j = 0; j < cont && !repetido; j++)
				repetido = (nRandom == vetor[j]);			
			if(!repetido) {
				vetor[cont] = nRandom;
				cont++;
			}				
		}
		return vetor;
	}
	
	public static boolean[][] copy(boolean[][] vetor) {
		boolean[][] vetorCopia = new boolean[vetor.length][];
		for(int i = 0; i < vetor.length; i++) {
			vetorCopia[i] = copy(vetor[i]);
		}
		return vetorCopia;
	}
	
	public static int[][] copy(int[][] vetor) {			
		int[][] vetorCopia = new int[vetor.length][];
		for(int i = 0; i < vetor.length; i++)
			vetorCopia[i] = copy(vetor[i]);		
		return vetorCopia;
	}
		
	public static String[][] copy(String[][] vetor) {
		String[][] vetorCopia = new String[vetor.length][];
		for(int i = 0; i < vetor.length; i++)
			vetorCopia[i] = copy(vetor[i]);		
		return vetorCopia;
	}
	
	public static int[] copy(int[] vetor) {			
		int[] vetorCopia = new int[vetor.length];
		for(int i = 0; i < vetor.length; i++)
			vetorCopia[i] = vetor[i];		
		return vetorCopia;
	}
	
	public static boolean[] copy(boolean[] vetor) {
		boolean[] vetorCopia = new boolean[vetor.length];
		for(int i = 0; i < vetor.length; i++)
			vetorCopia[i] = vetor[i];		
		return vetorCopia;
	}
	
	public static String[] copy(String[] vetor) {
		String[] vetorCopia = new String[vetor.length];
		for(int i = 0; i < vetor.length; i++)
			vetorCopia[i] = vetor[i];		
		return vetorCopia;
	}
			
}
